<?php

namespace App\Models\Concerns;

use App\Models\Rejection;
use Illuminate\Database\Eloquent\Relations\MorphOne;

trait HasRejection
{
    public function rejection(): MorphOne
    {
        return $this->morphOne(Rejection::class, 'rejectable');
    }
}
